Bug 2124263 (CVE-2022-39831) - CVE-2022-39831 pspp: heap-based buffer overflow at the function read_bytes_internal in utilities/pspp-dump-sav.c
Summary: CVE-2022-39831 pspp: heap-based buffer overflow at the function read_bytes_in...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-39831
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2124265
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-05 13:09 UTC by Sandipan Roy
Modified: 2022-09-06 05:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-06 05:45:44 UTC


Attachments (Terms of Use)

Description Sandipan Roy 2022-09-05 13:09:52 UTC
An issue was discovered in PSPP 1.6.2. There is a heap-based buffer overflow at the function read_bytes_internal in utilities/pspp-dump-sav.c, which allows attackers to cause a denial of service (application crash) or possibly have unspecified other impact. This issue is different from CVE-2018-20230.

https://savannah.gnu.org/bugs/?62977

Comment 1 Sandipan Roy 2022-09-05 13:10:45 UTC
Created pspp tracking bugs for this issue:

Affects: fedora-all [bug 2124265]

Comment 2 Product Security DevOps Team 2022-09-06 05:45:42 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.